# -*- coding: utf-8 -*-

from django.contrib import admin

from account.models import FranchiserInfo, SaleclerkInfo


class FranchiserInfoAdmin(admin.ModelAdmin):
    readonly_fields = ('franchiser_id', )
    list_display = ('franchiser_id', 'franchiser_name', 'franchiser_addr', 'franchiser_phone', 'franchiser_boss_name', 'franchiser_boss_phone', 'status', 'created_at', 'updated_at')
    search_fields = ('franchiser_id', 'franchiser_name', 'franchiser_addr', 'franchiser_phone', 'franchiser_boss_name', 'franchiser_boss_phone')
    list_filter = ('status', )


class SaleclerkInfoAdmin(admin.ModelAdmin):
    readonly_fields = ('franchiser_id', )
    list_display = ('franchiser_id', 'clerk_id', 'clerk_name', 'clerk_sex', 'clerk_phone', 'user_status', 'status', 'created_at', 'updated_at')
    search_fields = ('franchiser_id', 'clerk_id', 'clerk_name', 'clerk_phone')
    list_filter = ('user_status', 'status')


admin.site.register(FranchiserInfo, FranchiserInfoAdmin)
admin.site.register(SaleclerkInfo, SaleclerkInfoAdmin)
